<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd">
  <soap:Header>
    <wsa:Action wsu:Id="Id-4d4e3119-2c7c-4a49-8be5-44e007c2ca03">http://tempuri.org/HelloWorld</wsa:Action>
    <wsa:MessageID wsu:Id="Id-9a141581-0332-45ef-a162-7d992ccc9ae6">urn:uuid:2737dfda-e166-46a3-902a-ee1606f286ce</wsa:MessageID>
    <wsa:ReplyTo wsu:Id="Id-88844a5e-ddae-4074-9ca5-ba797017bdc6">
      <wsa:Address>http://schemas.xmlsoap.org/ws/2004/08/addressing/role/anonymous</wsa:Address>
    </wsa:ReplyTo>
    <wsa:To wsu:Id="Id-7278ce72-2e3c-4924-b966-ff0d2879606c">http://localhost:1408/TestWSESettings_WS/Service.asmx</wsa:To>
    <wsse:Security soap:mustUnderstand="1">
      <wsu:Timestamp wsu:Id="Timestamp-1502c19d-da12-4b72-abe5-68e2c6d3b029">
        <wsu:Created>2007-05-28T05:08:14Z</wsu:Created>
        <wsu:Expires>2007-05-28T05:13:14Z</wsu:Expires>
      </wsu:Timestamp>
      <xenc:EncryptedKey Id="SecurityToken-bc2efff0-8706-46ad-8233-c97f23573003" xmlns:xenc="http://www.w3.org/2001/04/xmlenc#">
        <xenc:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p">
          <ds:DigestMethod xmlns:ds="http://www.w3.org/2000/09/xmldsig#" Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
        </xenc:EncryptionMethod>
        <KeyInfo xmlns="http://www.w3.org/2000/09/xmldsig#">
          <wsse:SecurityTokenReference>
            <wsse:KeyIdentifier ValueType="http://docs.oasis-open.org/wss/oasis-wss-soap-message-security-1.1#ThumbprintSHA1" EncodingType="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary">Y1LopaKWeNb9iVH5tBx2SOllWec=</wsse:KeyIdentifier>
          </wsse:SecurityTokenReference>
        </KeyInfo>
        <xenc:CipherData>
          <xenc:CipherValue>ehlP2GBkTnAFevm9BnJBDSUyVgfGuZz71yfJWnP+fjRwVPCTGCZhoPSz2SRl8RU2SI4P1EsY3GxFTfwTlFtA8aQzSNotNoLcxJC47/+1dLlkkdh7z3M/1GNOQotw8cEYegM9RQSTCOwoaZqTJrdDUIEda1z8UV0/zwijXp4vFuo=</xenc:CipherValue>
        </xenc:CipherData>
      </xenc:EncryptedKey>
      <wssc:DerivedKeyToken wsu:Id="SecurityToken-cdb6eefe-1a23-4749-aaf3-15f03209d65d" Algorithm="http://schemas.xmlsoap.org/ws/2005/02/sc/dk/p_sha1" xmlns:wssc="http://schemas.xmlsoap.org/ws/2005/02/sc">
        <wsse:SecurityTokenReference>
          <wsse:Reference URI="#SecurityToken-bc2efff0-8706-46ad-8233-c97f23573003" ValueType="http://docs.oasis-open.org/wss/oasis-wss-soap-message-security-1.1#EncryptedKey" />
        </wsse:SecurityTokenReference>
        <wssc:Generation>0</wssc:Generation>
        <wssc:Length>32</wssc:Length>
        <wssc:Label>WS-SecureConversationWS-SecureConversation</wssc:Label>
        <wssc:Nonce>YnYv6Y/hdq/B3u7Pngf80A==</wssc:Nonce>
      </wssc:DerivedKeyToken>
      <xenc:ReferenceList xmlns:xenc="http://www.w3.org/2001/04/xmlenc#">
        <xenc:DataReference URI="#Enc-d88dc7a9-1bdd-4a51-956f-af36469f4514" />
        <xenc:DataReference URI="#Enc-4686d1b7-4174-4f9d-9516-e44a65e5a6c6" />
      </xenc:ReferenceList>
      <xenc:EncryptedData Id="Enc-d88dc7a9-1bdd-4a51-956f-af36469f4514" Type="http://www.w3.org/2001/04/xmlenc#Element" xmlns:xenc="http://www.w3.org/2001/04/xmlenc#">
        <xenc:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#aes256-cbc" />
        <KeyInfo xmlns="http://www.w3.org/2000/09/xmldsig#">
          <wsse:SecurityTokenReference>
            <wsse:Reference URI="#SecurityToken-cdb6eefe-1a23-4749-aaf3-15f03209d65d" ValueType="http://schemas.xmlsoap.org/ws/2005/02/sc/dk" />
          </wsse:SecurityTokenReference>
        </KeyInfo>
        <xenc:CipherData>
          <xenc:CipherValue> </xenc:CipherValue>
        </xenc:CipherData>
      </xenc:EncryptedData>
      <wssc:DerivedKeyToken wsu:Id="SecurityToken-4c5c2108-5c27-4431-87f8-57a144ec3c63" Algorithm="http://schemas.xmlsoap.org/ws/2005/02/sc/dk/p_sha1" xmlns:wssc="http://schemas.xmlsoap.org/ws/2005/02/sc">
        <wsse:SecurityTokenReference>
          <wsse:Reference URI="#SecurityToken-bc2efff0-8706-46ad-8233-c97f23573003" ValueType="http://docs.oasis-open.org/wss/oasis-wss-soap-message-security-1.1#EncryptedKey" />
        </wsse:SecurityTokenReference>
        <wssc:Generation>0</wssc:Generation>
        <wssc:Length>24</wssc:Length>
        <wssc:Label>WS-SecureConversationWS-SecureConversation</wssc:Label>
        <wssc:Nonce>xM/VZGKKCjceARkql7yhTg==</wssc:Nonce>
      </wssc:DerivedKeyToken>
      <Signature xmlns="http://www.w3.org/2000/09/xmldsig#">
        <SignedInfo>
          <ds:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" />
          <SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#hmac-sha1" />
          <Reference URI="#SecurityToken-b8020c1f-fa63-4b02-995e-d3af6aff2e19">
            <Transforms>
              <Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </Transforms>
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
            <DigestValue>iv+HLz5/2+W334pvJ7BhUQu81HY=</DigestValue>
          </Reference>
          <Reference URI="#Id-4d4e3119-2c7c-4a49-8be5-44e007c2ca03">
            <Transforms>
              <Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </Transforms>
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
            <DigestValue>JJg2QjhQVWovt3teQqsh54nZLFg=</DigestValue>
          </Reference>
          <Reference URI="#Id-9a141581-0332-45ef-a162-7d992ccc9ae6">
            <Transforms>
              <Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </Transforms>
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
            <DigestValue>HIksvNzttwIN/mbElPsDSeTF18o=</DigestValue>
          </Reference>
          <Reference URI="#Id-88844a5e-ddae-4074-9ca5-ba797017bdc6">
            <Transforms>
              <Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </Transforms>
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
            <DigestValue>a8EkU8Dx9Hvg5EImYztflQt0F/U=</DigestValue>
          </Reference>
          <Reference URI="#Id-7278ce72-2e3c-4924-b966-ff0d2879606c">
            <Transforms>
              <Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </Transforms>
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
            <DigestValue>hrS1uENBs/TGFmAyBan66sMQ1Bs=</DigestValue>
          </Reference>
          <Reference URI="#Timestamp-1502c19d-da12-4b72-abe5-68e2c6d3b029">
            <Transforms>
              <Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </Transforms>
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
            <DigestValue>NgS4pXXkW734MJIPTgEe6SMr4fI=</DigestValue>
          </Reference>
          <Reference URI="#Id-86f22b62-5d35-498a-a514-d8ef45e8cd46">
            <Transforms>
              <Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </Transforms>
            <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" />
            <DigestValue>GPetelUuIgqoUwUSic2xZundGBw=</DigestValue>
          </Reference>
        </SignedInfo>
        <SignatureValue>PLZcmNuUwFwzpcOMi+xM1Yr6AE4=</SignatureValue>
        <KeyInfo>
          <wsse:SecurityTokenReference>
            <wsse:Reference URI="#SecurityToken-4c5c2108-5c27-4431-87f8-57a144ec3c63" ValueType="http://schemas.xmlsoap.org/ws/2005/02/sc/dk" />
          </wsse:SecurityTokenReference>
        </KeyInfo>
      </Signature>
    </wsse:Security>
  </soap:Header>
  <soap:Body wsu:Id="Id-86f22b62-5d35-498a-a514-d8ef45e8cd46">
    <xenc:EncryptedData Id="Enc-4686d1b7-4174-4f9d-9516-e44a65e5a6c6" Type="http://www.w3.org/2001/04/xmlenc#Content" xmlns:xenc="http://www.w3.org/2001/04/xmlenc#">
      <xenc:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#aes256-cbc" />
      <KeyInfo xmlns="http://www.w3.org/2000/09/xmldsig#">
        <wsse:SecurityTokenReference>
          <wsse:Reference URI="#SecurityToken-cdb6eefe-1a23-4749-aaf3-15f03209d65d" ValueType="http://schemas.xmlsoap.org/ws/2005/02/sc/dk" />
        </wsse:SecurityTokenReference>
      </KeyInfo>
      <xenc:CipherData>
        <xenc:CipherValue>L9Zf5VdypeDBiZKf53XFuLeUlzXPC0xBLC/q+YnWacKpiGAiQ6nI8aq/EYoOvm+OpANf6IL299fgAOaHdhedmw==</xenc:CipherValue>
      </xenc:CipherData>
    </xenc:EncryptedData>
  </soap:Body>
</soap:Envelope>
